Support » Plugin: Flickr Justified Gallery » fatal error during activate(uh oh…)

  • Resolved teracow

    (@teracow)



    Hi,

    Thanks for your great Flickr Photostream plugin! It works very well.

    I just upgraded it a few minutes ago to v3.1.7, saw the message about the new Flickr Justified Gallery v3.2.2, installed it and clicked activate:

    Plugin could not be activated because it triggered a fatal error.
    Fatal error: Cannot redeclare flickr_photostream() (previously declared in /var/www/wordpress/wp-content/plugins/flickr-photostream/flickr-photostream.php:484) in /var/www/wordpress/wp-content/plugins/flickr-justified-gallery/flickr-justified-gallery.php on line 515

    Seems that WordPress doesn’t like running the old and the new together but if only one is activated, then no problem. So, I deactivated the old, then activated the new and now OK. Will the new still import the settings from the old?

    Thanks. 🙂

    update: nope – new one now gives 403 errors where gallery should be… I’ll have to go back to the old one for now (v3.1.7).

    https://wordpress.org/plugins/flickr-justified-gallery/

Viewing 13 replies - 1 through 13 (of 13 total)
  • just some further info to my previous post – after v3.2.2 was activated, the message displayed (on the blog page where the gallery should be) is:

    The web service endpoint returned a "HTTP/1.1 403 Forbidden" response

    I also tried changing to the alternative version phpFlickr but the wordpress admin window then immediately showed the same 403 error as above.

    Having same experience. Can’t install and activate without fatal error regardless of whether or not the old Photostream plugin is activated. Plus, can’t dismiss the stupid message. Not a very good plugin. I’ll just deal with the message until this is resolved.

    Have the same 403-error… Switched back to flickr_photostream.

    I’m having the same problem.

    Plugin Author miro.mannino

    (@miromannino)

    The two plugins are essentially the same, they cannot be active together!
    One needs to deactivate the old one and to activate the new one.

    For the 403 error, have you tried to change the phpFlickr library with the alternative one?

    changed to the phpFlickr alternative library. The error message disappears, but the page seems broken in the middle. Same effect, just the errormessage disappears.

    The two plugins are essentially the same, they cannot be active together!
    One needs to deactivate the old one and to activate the new one.

    Good call – can this be added to the installation instructions for people who are migrating from the photostream plugin?

    For the 403 error, have you tried to change the phpFlickr library with the alternative one?

    Yes, I tried that (in my 2nd post). 🙂

    Plugin Author miro.mannino

    (@miromannino)

    Can your tag data? User Id and the parameters, so I can try.
    Thanks

    Hi Miro,

    Just saw that other users had fixed this by installing php5-curl.

    I’ve done this and now everything appears to be working correctly. 🙂

    Is this the correct fix?

    Thanks.

    Plugin Author miro.mannino

    (@miromannino)

    Yes, the problem could be related to the CURL library that is not installed.
    Have other tried to solve in this way?

    Plugin Author miro.mannino

    (@miromannino)

    For the ones that experimented problems with the migration. Now the two plugins can exists together. Flickr Photostream will only warn you because it cannot register the shortcodes and that it should be unistalled. To do that please update the two plugins at the latest versions.

    Hi! php5-curl solved the error 403-message for me! Thanx for the hint! 🙂

    Plugin Author miro.mannino

    (@miromannino)

    Thanks to everyone. I will put this one in the FAQ.

Viewing 13 replies - 1 through 13 (of 13 total)
  • The topic ‘fatal error during activate(uh oh…)’ is closed to new replies.